LINUX.ORG.RU

Shotcut 17.11

 ,


1

1

Shotcut - это нелинейный видеоредактор, использующий FFmpeg для работы с медиа, с возможностью использования плагинов эффектов, совместимых с Frei0r и LADSPA. Написан на C++ с использованием тулкита Qt5 под лицензией GPLv3.

Изменения:

  • Меню «Добавить фильтр» теперь встроенное, а не всплывающее.
  • На шкалу времени добавлена пометка «Master», подсказывающая, что при назначении фильтра всей шкале обрабатываются все дорожки (как на мастер-шине в DAW или звуковой консоли).
  • Если к дорожке применен фильтр, в ее заголовке показывается значок фильтров.
  • Горячая клавиша '0' теперь имеет бОЛьший приоритет для временной шкалы чем для плейлиста.
  • Пока ползунок прокрутки не отпущен, масштабирование временной шкалы не выполняется.
  • Добавлены предупреждения при экспорте, если файл не может быть записан, уже открыт в проекте или мало места на диске.
  • Добавлен перевод на непальский язык.
  • В текстовый фильтр добавлена кнопка для вставки символа #.

>>> Подробности

Написан на C++ с использованием тулкита Qt5

Но зачем-то просит SDL2. Неужели в SDL2 есть что-то критически необходимое для проектов на Qt5?

atsym ★★★★ ()
Ответ на: комментарий от atsym

Неужели в SDL2 есть что-то критически необходимое для проектов на Qt5?

Qt5 нужен чтобы порадовать линуксоидов новыми, удивительными, зависимостями, с которыми использование программы станет более лучшеЕ и веселее.

Napilnik ★★★★★ ()

Погонял немного редактор, минут через 5 он упал при операции перетаскивания видео с одной дорожки на другую. И раньше такое бывало. В целом же, от организации работы с контентом осталось положительное впечатление.

Erepb ()
Ответ на: комментарий от Erepb

минут через 5 он упал
В целом же, от организации работы с контентом осталось положительное впечатление

«переводчик неплохой, только ссыться и глухой»

anonymous ()
Ответ на: комментарий от EternalNewbie

Ну сейчас Qt5 почти в любом дистрибутиве есть, это не проблема.

Вот именно - «почти».

Лучше отпишись, как тебе сам редактор.

Не запускается, требует либу из пятых кутей, а мну репы перешли в архивное состояние до её туда попадания.

Napilnik ★★★★★ ()
Ответ на: комментарий от atsym

Есть же бэкпорты.

Действительно, завезли. Поставил, не помогло, xcb не той системы:

$ ./shotcut
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, wayland-egl, wayland, xcb.

Reinstalling the application may fix this problem.
./shotcut: line 15:  3077 Аварийный останов         (core dumped) bin/shotcut "$@"

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

libQt5Gui.so.5 присутствует?

Ещё цитата от пользователя дебиана с юниксфорума:

Разобрался libqxcb.so находится в пакете libqt5xcbqpa5. Его установка решает проблему.

Если у тебя не дебиан - сам понимаешь, пакет может называться чуток по-другому.

EternalNewbie ()
Ответ на: комментарий от EternalNewbie

libQt5Gui.so.5 присутствует?

Да, но кеды четвёртые, так что всего там не будет. Сборка редактора для 21+ федоры, а у меня меньший номер, так что ожидаемый эффект.

Napilnik ★★★★★ ()